Bug 1573356 (CVE-2018-10372)

Summary: CVE-2018-10372 binutils: Heap-base buffer over-read in dwarf.c:process_cu_tu_index() allows for denial of service via crafted file
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aoliva, dvlasenk, erik-fedora, jakub, klember, ktietz, law, nickc, ohudlick, rjones, yselkowi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:20:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1573357, 1573359, 1573358, 1573360, 1579051    
Bug Blocks: 1573371    

Description Sam Fowler 2018-05-01 02:08:22 UTC
GNU Binutils through version 2.30 has a heap-based buffer over-read vulnerability in dwarf.c:process_cu_tu_index(). An attacker could exploit this to crash the readelf application  by providing a binary file.


Upstream Issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=23064


Upstream Patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=6aea08d9f3e3d6475a65454da488a0c51f5dc97d

Comment 1 Sam Fowler 2018-05-01 02:09:19 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1573359]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1573358]
Affects: fedora-all [bug 1573357]

Comment 3 Pedro YĆ³ssis Silva Barbosa 2018-05-16 21:37:41 UTC
For RHEL 7, the heap overflow in the memcpy is detected and mitigated by fortify source. Also, the overflowed area is less than 8 bytes.

Comment 5 errata-xmlrpc 2018-10-30 07:24:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3032 https://access.redhat.com/errata/RHSA-2018:3032